We use essential cookies for the website to function, as well as analytics cookies for analyzing and creating statistics of the website performance. To agree to the use of analytics cookies, click "Accept All". You can manage your preferences at any time by clicking "Cookie Settings" on the footer. More Information.

Only Essential Cookies
Accept All

Replies:update

Updates a reply.

Request

HTTP Request

PATCH
https://drive.cloud.hicloud.com/drive/v1/files/{fileId}/comments/{commentId}/replies/{replyId}

Parameters

*Some parameters are mandatory.

parametertype
description
fileIdstringpathFile ID. (Mandatory)
commentIdstringpathComment ID. (Mandatory)
replyIdstringpathReply ID. (Mandatory)
fieldsstringqueryFields in the request, which are in the partial response format.
formstringqueryMedia format.
prettyPrintbooleanqueryIndicates whether to return a response in a human-readable format.
quotaIdstringqueryUser identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
callbackstringqueryCallback function used in JSONP requests.
x-hw-trace-idstringheaderID used for service tracing. 
x-hw-app-idstringheaderApp ID. 
versionstringheaderSDK version number.
x-hw-terminalstringheaderDevice model. 
x-hw-osstringheaderDevice operating system.
unionIDstringheaderOpen user ID.
User-AgentstringheaderApp version number or ID. 

Request Body

In the request body, provide data with the following structure:

idstring一个唯一ID,标识这个订阅通道。
descriptionstringContent of the reply.(Mandatory)

Response

If successful, this method returns a response body with the following structure:

  1. {
  2.            "category": "drive#reply",
  3.            "id": "string",
  4.            "createdTime": "2020-02-19T14:44:40.660Z",
  5.            "editedTime": "2020-02-19T14:44:40.661Z",
  6.            "creator": {
  7.                "category": "drive#user",
  8.                "displayName": "string",
  9.                "profilePhotoLink": "string",
  10.                "me": true,
  11.                "permissionId": "string",
  12.                "userAccount": "string"
  13.            },
  14.            "description": "string",
  15.            "htmlDescription": "string",
  16.            "deleted": true,
  17.            "operate": "string"
  18. }
categorystring资源类型,固定为api#channel。
categorystringReply type. The value is always drive#reply.
id
stringReply ID.
createdTimestringTime when the reply was created.
editedTimestringLast time when the reply was modified.
creator.categorystringReply creator type. The value is always drive#user.
creator.displayNamestringDisplayed name for this user.
creator.profilePhotoLinkstringLink to the user's profile picture, which is not returned by default.
creator.mebooleanIndicates whether this user is the requesting user.
creator.permissionIdstringPermission ID.
creator.userAccountstringAccount of the user, which is not returned by default.
htmlDescriptionstringReply content in HTML format.
description
stringReply content.
deletedbooleanIndicates whether the reply has been deleted.
operatestringOperation to be performed for the comment.


Search
Enter a keyword.